![](https://bitcoin.org/img/icons/logotop.svg)
- [Utilities](#utilities)
- [Blockchain API and Web services](#blockchain-api-and-web-services)
- [Wallets API](#wallets-api)
- [Open Source Wallets](#open-source-wallets)
- [Blockchain Explorers](#blockchain-explorers)
- [C++ Libraries](#c-libraries)
- [JavaScript Libraries](#javascript-libraries)
- [PHP Libraries](#php-libraries)
- [Ruby Libraries](#ruby-libraries)
- [Python Libraries](#python-libraries)
- [Java Libraries](#java-libraries)
- [.Net Libraries](#net-libraries)
- [Playgrounds](#playgrounds)
- [Blockchain dump](#blockchain-dump)
- [Full nodes](#full-nodes)


# Utilities

-   [BitKey](https://bitkey.io) Live USB for airgapped transactions and Bitcoin swiss army knife 
-   [Pycoin](https://github.com/richardkiss/pycoin) Python-based Bitcoin and alt-coin utility library.
-   [sx](https://github.com/spesmilo/sx/) sx - command line Bitcoin to empower the sysadmin
-   [bx](https://github.com/libbitcoin/libbitcoin-explorer) Bitcoin Command Line Tool
-   [txwatcher](https://github.com/tsileo/txwatcher)A little Python utility that lets you monitor Bitcoin addresses through Blockchain Websocket API and perform custom callbacks.
-   [hellobitcoin](https://github.com/prettymuchbryce/hellobitcoin) A collection of simple programs which can generate bitcoin wallets, create and sign transactions, and send transactions over the bitcoin network.
-   [Mining visualization](http://www.yogh.io/#mine:last)

# Blockchain API and Web services

-   [block.io](https://block.io)
-   [BlockCypher](http://www.blockcypher.com)
-   [Gem.co](https://gem.co)
-   [Insight](https://insight.is)
-   [Chain.com](https://chain.com)
-   [Toshi by Coinbase](https://toshi.io/)
-   [Smartbit](https://www.smartbit.com.au)
-   [Cashier-BTC](https://github.com/Overtorment/Cashier-BTC) - self-hosted payment gateway.
-   [Chainradar API](https://github.com/yasaricli/chainradar-api) Blockchain Explorer API for Chainradar

# Wallets API

-   [BitGo](https://www.bitgo.com/api/)
-   [Coinbase](https://developers.coinbase.com)
-   [Blockchain.info](https://blockchain.info/api)
-   [BIP32](http://bip32.org)

# Open Source Wallets

-   [CoPay by BitPay](https://copay.io/)
-   [CoinPunk](https://coinpunk.com/)
-   [Coinb.in](https://coinb.in)
-   [Electrum](https://electrum.org/)

# Blockchain Explorers

-   [Chain.so](http://chain.so)
-   [Blockchain.info](https://blockchain.info)
-   [BlockTrail](https://www.blocktrail.com/BTC) 
-   [Bitcoin Transaction Explorer](https://github.com/JornC/bitcoin-transaction-explorer)
-   [Blockexplorer.com](https://blockexplorer.com)
-   [Smartbit](https://www.smartbit.com.au)
-   [Bitkit](https://bitkit.live) - Real time transaction updates

# C++ Libraries

-   [Libbitcoin](https://libbitcoin.org/)
-   [libwally-core](https://github.com/ElementsProject/libwally-core)
-   [secp256k1](https://github.com/bitcoin-core/secp256k1)

# JavaScript Libraries

-   [Awesome CryptoCoinJS](https://github.com/cryptocoinjs/awesome-cryptocoinjs)
-   [Bitcore Library](https://github.com/bitpay/bitcore-lib)
-   [Bitcoinjs-lib](https://github.com/bitcoinjs/bitcoinjs-lib)
-   [Cryptocoin](https://github.com/cryptocoinjs/cryptocoin)
-   [BlockTrail SDK NodeJS](https://github.com/blocktrail/blocktrail-sdk-nodejs)
-   [bcoin](https://github.com/bcoin-org/bcoin) Javascript bitcoin library for node.js and browsers 

# PHP Libraries

-   [PHP-OP_RETURN](https://github.com/coinspark/php-OP_RETURN)
-   [BlockTrail PHP SDK](https://github.com/blocktrail/blocktrail-sdk-php)

# Ruby Libraries

-   [Bitcoin-ruby](https://github.com/lian/bitcoin-ruby)

# Python Libraries

-   [BlockTrail SDK Python](https://github.com/blocktrail/blocktrail-sdk-python)
-   [btctxstore](https://github.com/F483/btctxstore) simple library to store/retrieve information in bitcoin transactions using OP_RETURN
-   [pybitcointools](https://github.com/vbuterin/pybitcointools) Python library for Bitcoin signatures and transactions from Vitalik Buterin. Project discontinued.
-   [pycoin](https://github.com/richardkiss/pycoin) Python library for Bitcoin keys, signatures, transactions. Includes full VM implementation and tools for manipulating keys (ku) and transactions (tx).
-   [bitcoin_tools](https://github.com/sr-gi/bitcoin_tools) Python library for building and analyzing transactions and scripts (both standard and custom). Comes along with a UTXO set analysis tool. Includes several examples and exhaustive documentation. 

# Java Libraries

-   [BitcoinJ](https://bitcoinj.github.io)
-   [XChange](https://github.com/timmolter/XChange) Library that provides a simple and consistent API for interacting with 50+ Bitcoin currency exchanges.

# .Net Libraries

-   [NBitcoin](https://github.com/MetacoSA/NBitcoin)Comprehensive Bitcoin library for the .NET framework.
-   [BitcoinLib](https://github.com/GeorgeKimionis/BitcoinLib) The most complete, up-to-date, battle-tested .net Library and RPC Wrapper for Bitcoin and Altcoins in C#.
-   [QBitNinja](https://github.com/MetacoSA/QBitNinja) An Open Source and powerful blockchain API

# Playgrounds

-   [Script Playground](http://www.crmarsh.com/script-playground/)
-   [Bitcoin IDE](https://github.com/siminchen/bitcoinIDE) Bitcoin Script for dummies
-   [Debug Script Execution](https://webbtc.com/script)
-   [Script Debugger](https://github.com/kallewoof/btcdeb)
-   [Bitcore Playground](https://bitcore.io/playground/)
-   [Mnemonic Code generator](https://dcpos.github.io/bip39/)
-   [blockchain-demo](https://github.com/anders94/blockchain-demo/) A web-based demonstration of blockchain concepts

# Blockchain dump

-   [WebBTC](http://dumps.webbtc.com/bitcoin/) These are postgres database dumps of the bitcoin-ruby-blockchain database generated by webbtc.com.
-   [BitcoinDatabaseGenerator](https://github.com/ladimolnar/BitcoinDatabaseGenerator) A high performance data transfer tool that can be used to copy data from Bitcoin Core blockchain files to a SQL Server database
-   [Blockparser+SQL](https://github.com/mcdee/blockparser) Fast, quick and dirty bitcoin blockchain parser
-   [BitcoinABE](https://github.com/bitcoin-abe/bitcoin-abe) Abe: block browser for Bitcoin and similar currencies
-   [NBitcoin.Indexer](https://github.com/MetacoSA/NBitcoin.Indexer) Scalable and fault-tolerant block chain indexer for Azure cloud platform.
-   [Blockchain2Graph](https://github.com/straumat/blockchain2graph) Graph Database Builder

# Full nodes

-   [Bitcoinjs-server](https://github.com/bitcoinjs/bitcoinjs-server) Bitcoin network node in JavaScript using Node.js / LevelDB
-   [Bitcoin-ruby-node](https://github.com/mhanne/bitcoin-ruby-node) bitcoin node based on bitcoin-ruby-blockchain
-   [Toshi by Coinbase](https://toshi.io/) An open source Bitcoin node built to power large scale web applications
-   [Fullnode](https://github.com/ryanxcharles/fullnode) Javascript implementation of bitcoin
-   [Insight API](https://github.com/bitpay/insight-api) A bitcoin blockchain API for web wallets
-   [Bitcoind.JS](https://github.com/bitpay/bitcoind.js) bitcoind linked to node.js by BitPay
-   [Bitcore](https://github.com/bitpay/bitcore) Formerly just a Nodejs library, now a full node
